package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.HouseImage;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.HouseImageMapper")
public interface HouseImageMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(HouseImage record);

    HouseImage selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(HouseImage record);

    List<HouseImage> queryAllHouseImage(HouseImage record);

    List<HouseImage> queryHouseImageByPage(Map<String, Object> parameter);

    int delete(String id);

    HouseImage queryHouseImage(HouseImage record);

    List<HouseImage> query(HouseImage record);
}

